Subject: Re: [sipcore] I-D on TCP/SCTP connection reuse

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 10 Aug 2009 13:01:10 -0500

Salvatore: Sorry for the delayed response; circling back
to unanswered emails after vacation and Stockholm IETF...please
see inline.

Salvatore Loreto wrote:
> Hi Vijay,
> 
> a question more relate to I-D.ietf-sip-connect-reuse that the draft in 
> object.
> Working on draft-loreto-mmusic-sctp-sdp 
> <http://tools.ietf.org/id/draft-loreto-mmusic-sctp-sdp-03.txt> I have 
> been told that no one has implemented yet TLS/SCTP as described
> in RFC3436 (due to several technical problems), and instead TSVwg is 
> working on DTLS/SCTP in I-D.ietf-tsvwg-dtls-for-sctp.
> So maybe it should be opportune recognize this fact also in the 
> I-D.ietf-sip-connect-reuse

OK, great.  This is good; thanks.

> on Section 11 "Closing a TCP or SCTP connection", note that the *closure 
> alert* is something TLS specific.
> Here you should talk more in TCP or SCTP specific way, and explain if 
> TCP half closed is supported or not,
> or SCTP Graceful close.

If you have specific text you can contribute, that'll be great.
Otherwise, we will put something along these lines in the next
revision and it'll be great if you could kindly review the
addition at that time.

Thanks again,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
Web:   http://ect.bell-labs.com/who/vkg/